> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get Orders

GET https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders

Get all orders from FeedAMP for a seller, filtered by the provided query params

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-source-api/orders/get-orders

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `mp_order_numbers` (list of string, optional) — Comma-delimited list of marketplace order numbers
- `fulfillment_status` (list of enum, optional) — Comma-delimited list of fulfillment statuses&#x20; UNFULFILLED returns orders that are AWAITING\_SHIPMENT with no fulfillments PARTIALLY\_FULFILLED returns orders that are AWAITING\_SHIPMENT and have at least one fulfillment COMPLETE returns orders that have all of their fulfillments, and have been marked SHIPPED or CANCELLED
  - Allowed values: `UNFULFILLED`, `PARTIALLY_FULFILLED`, `COMPLETE`
- `imported_after` (datetime, optional) — Include orders imported on or after this date (format ISO 8601 default time zone is America/New_York)
- `seller_updated_after` (datetime, optional) — Include orders updated by the seller on or after this date (format ISO 8601 default time zone is America/New_York)
- `has_errors` (boolean, optional) — Include orders either with or without errors If not set, orders will be returned regardless of the presence/absence of errors
- `page_size` (integer, optional, default: 20) — The number of orders per page to return
- `cursor` (string, optional) — Cursor for the next page of orders

## Response

### 200

Get Orders

- `orders` (list of OrderModel, required)
- `next_cursor` (string, optional) — The cursor to get the next page of orders

## Errors

### 400 Bad Request Error

Invalid Query parameters

- `list of GetOrderQueryParameterError`

### 401 Unauthorized Error

Invalid token

- `error` (string, optional) — Message describing the authentication failure

## Types

### OrderModel

Marketplace Order Model. Represents the order as it appears in the marketplace

- `mp_order_number` (string, required) — The primary order number used to identify the order in the marketplace's system
- `sales_channel` (string, required) — The specific channel within a marketplace in which orders are processed (typically corresponds to region)
- `customer` (Customer, required)
- `purchase_date` (datetime, required) — The datetime of the purchase date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)
- `currency` (enum, required) — ISO 4217 Currency codes
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `shipping_address` (StreetAddress, required)
- `order_lines` (list of OrderLine, required) — A collection of OrderLine objects. This property contains the individual order lines that the seller is to fulfill
- `marketplace_state` (enum, required) — The state of the order in the marketplace&#x20; PENDING - Order is still awaiting payment or other finalization before being eligible for fulfillment AWAITING\_SHIPMENT - The marketplace does not yet have any fulfillment information for the order SHIPPED - The marketplace has successfully retrieved fulfillment information for the entire order CANCELLED - The order has been cancelled, either due to action initiated by the marketplace (customer cancelled) or the entire order has been cancelled during fulfillment processing (seller cancelled)
  - Allowed values: `PENDING`, `AWAITING_SHIPMENT`, `SHIPPED`, `CANCELLED`
- `location` (Location, optional) — Details about the location (e.g. store) associated with an order
- `delivery_notes` (string, optional) — The customer's instructions to the delivery service regarding where/how to leave the package.
- `earliest_ship_date` (datetime, optional) — The earliest expected ship-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)
- `latest_ship_date` (datetime, optional) — The latest expected ship-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)
- `latest_delivery_date` (datetime, optional) — The latest expected deliver-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)
- `earliest_delivery_date` (datetime, optional) — The earliest expected deliver-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)
- `gift_message` (string, optional) — Gift message attached to order
- `marketing_opt_in` (boolean, optional) — Whether the customer opted in to marketing emails
- `billing_address` (StreetAddress, optional)
- `order_additional_properties` (map from string to any, optional) — Key/Value pairs of data the marketplace wants to associate with an order
- `is_marketplace_fulfilled` (boolean, optional, default: false) — Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill&#x20; True - The order is fulfilled by the marketplace &#x20;False - The seller must fulfill the order
- `fulfillment_type` (enum, optional) — Type of fulfillment required for the order&#x20; shipment - Requires shipment by the seller digital - No physical fulfillment pickup - Order prepared for local pickup by buyer
  - Allowed values: `shipment`, `digital`, `pickup`

### GetOrderQueryParameterError

A validation error for a Get Order query parameter

- `query_parameter` (string, required) — The query parameter that did not pass validation
- `message` (string, required) — Message describing the error

### Customer

- `full_name` (string, optional) — The full name of the customer
- `email` (string, optional) — The customer's email address
- `phone` (string, optional) — The phone number of the customer
- `vat` (string, optional) — International Value-Added Tax identification number of customer

### StreetAddress

- `full_name` (string, required) — Name of primary recipient
- `address1` (string, required) — Street address, line 1
- `city` (string, required) — Address (City)
- `state` (string, required) — Address (State or Province)
- `postal_code` (string, required) — Address (Postal or Zip code)
- `country_code` (enum, required) — ISO 3166-1 alpha-3 country codes
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `address_type` (string, optional) — What kind of establishment is located at this address?
- `address2` (string, optional) — Street address, line 2
- `address3` (string, optional) — Street address, line 3 (international shipping address info)
- `phone` (string, optional) — Phone number associated with address

### OrderLine

An object representing a line in an order

- `mp_line_number` (string, required) — The marketplace identifier of this unique order line
- `sku` (string, required) — The SKU of the marketplace product represented by this order line
- `product_name` (string, required) — The product title, as displayed in the marketplace listing
- `quantity` (integer, required) — The amount of product ordered
- `unit_price` (double, required) — The price for a single (1) quantity of product (not including tax, shipping, or discounts)
- `shipping_method` (string, optional) — The shipping method the seller is required to use to fulfill this order line
- `shipping_price` (double, optional) — The total shipping price for this order line
- `taxes` (list of Tax, optional) — A collection of taxes that are levied against the order line
- `discounts` (list of Discount, optional) — A collection of discounts that are applied to the order line
- `is_tax_collected_by_marketplace` (boolean, optional) — Indicates whether taxes are collected by the marketplace
- `order_line_additional_properties` (map from string to any, optional) — Key/Value pairs of data the marketplace wants to associate with an order line

### Location

Details about the location (e.g. store) associated with an order

- `source_location_id` (string, optional) — The location identifier assigned by the source platform
- `client_location_id` (string, optional) — The location identifier assigned by the client platform
- `name` (string, optional) — The assigned name for the location
- `address` (string, optional) — The address of the location

### Tax

An object representing a tax applied to an order line

- `type` (enum, required) — The type of tax
  - Allowed values: `SHIPPING`, `SALES`, `GST`, `PST`, `VAT`
- `amount` (double, required) — The tax amount

### Discount

An object representing a discount applied to an order line

- `name` (string, required) — The discount identifier, as configured in the marketplace
- `amount` (double, required) — The order line total discount amount
- `type` (enum, required) — The type of discount&#x20; ITEM - Discount applies to item price SHIPPING - Discount applies to shipping price
  - Allowed values: `ITEM`, `SHIPPING`

## Examples

**Response**

```json
{
  "orders": [
    {
      "mp_order_number": "111-99998888-55555",
      "sales_channel": "Marketplace.com",
      "customer": {
        "full_name": "A. Customer",
        "email": "customer@internet-provider.com",
        "phone": "5558675309",
        "vat": "78131452263"
      },
      "purchase_date": {},
      "currency": "USD",
      "shipping_address": {
        "full_name": "John M. Doe",
        "address1": "123 Fake Street",
        "city": "Ghost Town",
        "state": "DC",
        "postal_code": "91234",
        "country_code": "USA",
        "address_type": "business",
        "address2": "Building 456",
        "address3": "Room 789",
        "phone": "9997776666"
      },
      "order_lines": [
        {
          "mp_line_number": "XX-111-FF-1111",
          "sku": "1234-12353",
          "product_name": "ACME Super Product",
          "quantity": 1,
          "unit_price": 200,
          "shipping_method": "Standard",
          "shipping_price": 1.95,
          "taxes": [
            {
              "type": "SHIPPING",
              "amount": 1.1
            }
          ],
          "discounts": [
            {
              "name": "Spring Discount",
              "amount": 1.1,
              "type": "ITEM"
            }
          ],
          "is_tax_collected_by_marketplace": false,
          "order_line_additional_properties": {}
        }
      ],
      "marketplace_state": "PENDING",
      "location": {
        "source_location_id": "a0b0c0-f-f-f-f00f",
        "client_location_id": "my-locid_00",
        "name": "City Store - Citiesville",
        "address": "1234 Street Ave., City Township, NJ 00000-0000"
      },
      "delivery_notes": "leave by the back door.",
      "earliest_ship_date": {},
      "latest_ship_date": {},
      "latest_delivery_date": {},
      "earliest_delivery_date": {},
      "gift_message": "Happy birthday!",
      "marketing_opt_in": false,
      "billing_address": {
        "full_name": "John M. Doe",
        "address1": "123 Fake Street",
        "city": "Ghost Town",
        "state": "DC",
        "postal_code": "91234",
        "country_code": "USA",
        "address_type": "business",
        "address2": "Building 456",
        "address3": "Room 789",
        "phone": "9997776666"
      },
      "order_additional_properties": {},
      "is_marketplace_fulfilled": false,
      "fulfillment_type": "shipment"
    }
  ],
  "next_cursor": "12FDG-31dsfgHW"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders"

querystring = {"cursor":"12FDG-31dsfgHW","has_errors":"true","imported_after":"{}","seller_updated_after":"{}"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders?cursor=12FDG-31dsfgHW&has_errors=true&imported_after=%7B%7D&seller_updated_after=%7B%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```